%define	gtk_maj	21
%define	major	3
%define	gir_maj	3.0
%define	libname	%mklibname %{name} %{major}
%define	gtkname	%mklibname %{name}-gtk %{gtk_maj}
%define	girname	%mklibname %{name}-gtk-gir %{gir_maj}
%define	devname	%mklibname -d %{name}
%define	devgtk	%mklibname -d %{name}-gtk

Summary:	A GNOME application for taking pictures and videos from a webcam
Name:		cheese
Version:	3.5.1
Release:	2
License:	GPLv2+
Group:		Video
URL:		http://www.gnome.org/projects/cheese/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/cheese/3.5/%{name}-%{version}.tar.xz

BuildRequires:	desktop-file-utils
BuildRequires:	glib2.0-common
BuildRequires:	gnome-doc-utils >= 0.20
BuildRequires:	gtk-doc >= 1.14
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	vala vala-devel
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	pkgconfig(clutter-1.0) >= 1.6.1
BuildRequires:	pkgconfig(clutter-gst-1.0) >= 1.0.0
BuildRequires:	pkgconfig(clutter-gtk-1.0) >= 0.91.8
BuildRequires:	pkgconfig(gdk-3.0) >= 2.99.4
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gee-1.0) >= 0.6.0
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gnome-desktop-3.0) >= 2.91.6
BuildRequires:	pkgconfig(gnome-video-effects)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.6.7
BuildRequires:	pkgconfig(gstreamer-0.10) >= 0.10.32
BuildRequires:	pkgconfig(gstreamer-plugins-base-0.10) >= 0.10.32
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.99.4
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.26
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.32.0
BuildRequires:	pkgconfig(mx-1.0)
BuildRequires:	pkgconfig(nautilus-sendto)
BuildRequires:	pkgconfig(pangocairo) >= 1.28.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xtst)

Requires:	gsettings-desktop-schemas
Requires:	gstreamer0.10-plugins-base
Requires:	gstreamer0.10-plugins-good
%if "%{_lib}" == "lib64"
%define	_libext	()(64bit)
%else
%define	_libext %{nil}
%endif
Requires:	gstreamer0.10(encoder-video/x-vp8)%{_libext}
Requires:	gnome-video-effects

# TODO update features once added upstream
%description
Cheese is a Photobooth-inspired GNOME application for taking pictures and
videos from a webcam. It also includes fancy graphical effects based on
the gstreamer-backend.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Shared library part of %{name}
Obsoletes:	%{gtkname} < 3.5.1-1
Provides:	%{gtkname} = 3.5.1-1

%description -n	%{libname}
This package contains the shared library for %{name}.

%package -n	%{gtkname}
Group:		System/Libraries
Summary:	Shared library part of %{name} - gtk
Obsoletes:	%{libname} < 3.5.1-1
Provides:	%{libname} = 3.5.1-1

%description -n	%{gtkname}
This package contains the shared library for %{name}-gtk.

%package -n	%{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries

%description -n	%{girname}
GObject Introspection interface description for %{name}.

%package -n	%{devname}
Group:		Development/C
Summary:	Developent files for %{name}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description -n	%{devname}
This packages contains the development library and header files for %{name}.

%package -n	%{devgtk}
Group:		Development/C
Summary:	Developent files for %{name}-gtk
Requires:	%{gtkname} = %{version}-%{release}

%description -n	%{devgtk}
This packages contains the development library and header files for %{name}-gtk.

%prep
%setup -q

%build
%configure2_5x	--disable-static

%make

%install
%makeinstall_std
%find_lang %{name} --with-gnome --all-name
# copied from aisleriot
echo "%%dir %%{_datadir}/help/C" >> %{name}.lang
echo "%%{_datadir}/help/C/%%{name}" >> %{name}.lang
for l in ca cs de el en_GB es fi fr gl hu it ko lv nl oc pa pt_BR ru sl sv te th zh_CN; do
	echo "%%dir %%{_datadir}/help/$l"
	echo "%%lang($l) %%{_datadir}/help/$l/%%{name}"
done >> %{name}.lang

desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%define launchers %{_sysconfdir}/dynamic/launchers/webcam
# dynamic support
mkdir -p %{buildroot}%launchers
cat > %{buildroot}%launchers/%{name}.desktop << EOF
[Desktop Entry]
Name=Webcam Photobooth
Comment=Cheese Webcam Photobooth using \$devicename
TryExec=%{_bindir}/cheese
Exec=%{_bindir}/cheese
Terminal=false
Icon=cheese
Type=Application
StartupNotify=true
EOF

%post
update-alternatives --install %{launchers}/kde.desktop webcam.kde.dynamic %launchers/%{name}.desktop 60
update-alternatives --install %{launchers}/gnome.desktop webcam.gnome.dynamic %launchers/%{name}.desktop 60

%postun
if [ "$1" = "0" ]; then
   update-alternatives --remove webcam.kde.dynamic %launchers/%{name}.desktop
   update-alternatives --remove webcam.gnome.dynamic %launchers/%{name}.desktop
fi

%files -f %{name}.lang
%config(noreplace) %launchers/*.desktop
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/org.gnome.Cheese.gschema.xml
%{_iconsdir}/hicolor/*/*/*
%{_mandir}/man1/cheese.1*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{gtkname}
%{_libdir}/lib%{name}-gtk.so.%{gtk_maj}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Cheese-%{gir_maj}.typelib

%files -n %{devname}
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/Cheese-%{gir_maj}.gir
%{_datadir}/gtk-doc/html/%{name}/

%files -n %{devgtk}
%{_libdir}/lib%{name}-gtk.so
%{_libdir}/pkgconfig/%{name}-gtk.pc


%changelog
* Wed May 09 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 3.5.1-2
+ Revision: 797766
- be more sensible about versioned provides/obsoletes for files moved..
- place libcheese & libcheese-gtk in their correct/corresponding package names
- new version
- add dependency on gnome-video-effects, otherwise app will behave poorly and
  freeze in short time after startup..
- add dependency on now required vp8 encoder
- spec cosmetics

* Tue May 01 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.4.1-1
+ Revision: 794866
- new version 3.4.1

* Tue Dec 13 2011 Matthew Dawkins <mattydaw@mandriva.org> 3.2.2-2
+ Revision: 740776
- added BR
- split out cheese gtk devel pkg
- seems to be a better solution
- added obsoletes for old devel pkg name

* Wed Dec 07 2011 Matthew Dawkins <mattydaw@mandriva.org> 3.2.2-1
+ Revision: 738698
- removed manually .la files
- new version 3.2.2
- cleaned up spec
- split gir & gtk pkgs
- removed pre 200900 scriptlets
- removed static build
- removed .la files
- removed mkrel, BuildRoot, clean section, defattr
- converted BRs to pkgconfig provides

* Mon May 23 2011 Funda Wang <fwang@mandriva.org> 2.32.0-4
+ Revision: 677614
- rebuild to add gconftool as req

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 2.32.0-3
+ Revision: 663369
- mass rebuild

* Wed Mar 30 2011 Sergio Rafael Lemke <sergio@mandriva.com> 2.32.0-2
+ Revision: 649283
- Added requires on gstreamer0.10-plugins-base and gstreamer0.10-plugins-good, based on a LXDE where chesse not worked without installing these dependencies manually.

  + John Balcaen <mikala@mandriva.org>
    - Fix BR for libcanberra-gtk-devel

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581618
- update to new version 2.32.0

* Fri Sep 17 2010 Götz Waschk <waschk@mandriva.org> 2.31.92-1mdv2011.0
+ Revision: 579139
- update to new version 2.31.92

* Mon Aug 30 2010 Götz Waschk <waschk@mandriva.org> 2.31.91-1mdv2011.0
+ Revision: 574281
- update to new version 2.31.91

* Tue Aug 17 2010 Götz Waschk <waschk@mandriva.org> 2.31.90-1mdv2011.0
+ Revision: 570771
- update to new version 2.31.90

* Mon Apr 26 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 539321
- update to new version 2.30.1

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528946
- update to new version 2.30.0

* Wed Mar 10 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.92-2mdv2010.1
+ Revision: 517439
- force rebuild

* Tue Mar 09 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.29.92-1mdv2010.1
+ Revision: 516884
- update to 2.29.92

* Tue Feb 23 2010 Götz Waschk <waschk@mandriva.org> 2.29.91-1mdv2010.1
+ Revision: 510026
- new version
- new major

* Tue Feb 09 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-1mdv2010.1
+ Revision: 503187
- new version
- add library package

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-2mdv2010.1
+ Revision: 490511
- rebuild for new libgnome-desktop

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-1mdv2010.1
+ Revision: 489895
- new version
- update build deps
- remove not yet needed libcheese-gtk

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-2mdv2010.0
+ Revision: 458728
- Force rebuild
- Release 2.28.1

* Thu Sep 24 2009 Götz Waschk <waschk@mandriva.org> 2.28.0.1-1mdv2010.0
+ Revision: 448521
- update to new version 2.28.0.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446456
- update to new version 2.28.0

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 437410
- update to new version 2.27.92

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-1mdv2010.0
+ Revision: 420756
- update to new version 2.27.91

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.90-1mdv2010.0
+ Revision: 414698
- update to new version 2.27.90

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 401384
- update to new version 2.27.5

* Mon Jul 13 2009 Götz Waschk <waschk@mandriva.org> 2.27.4-1mdv2010.0
+ Revision: 395677
- update to new version 2.27.4

* Tue Jun 16 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 386266
- update to new version 2.27.3

* Mon May 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 379725
- update to new version 2.27.2

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 374189
- new version

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 355976
- update to new version 2.26.0

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 347452
- update to new version 2.25.92

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 341229
- update to new version 2.25.91

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.90-1mdv2009.1
+ Revision: 336666
- update to new version 2.25.90

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 2.25.4-1mdv2009.1
+ Revision: 325241
- update to new version 2.25.4

* Thu Jan 01 2009 Götz Waschk <waschk@mandriva.org> 2.25.3-2mdv2009.1
+ Revision: 323213
- rebuild for new gnome-desktop

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 315812
- update to new version 2.25.3

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 309008
- fix build deps
- update to new version 2.25.2

* Wed Nov 05 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 300032
- new version
- update build deps

* Mon Oct 20 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 295727
- new version
- fix source URL

  + Nicholas Brown <nickbrown@mandriva.org>
    - Add dynamic webcam alternative, at a higher priority than ekiga and
      xawtv. #43963

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286921
- new version

* Tue Sep 09 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282916
- new version

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278576
- new version

* Thu Aug 21 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 274632
- new version
- update build deps
- update file list

* Tue Aug 05 2008 Funda Wang <fwang@mandriva.org> 2.23.6-2mdv2009.0
+ Revision: 263669
- New version 2.23.6

* Wed Jul 30 2008 Michael Scherer <misc@mandriva.org> 2.23.5-1mdv2009.0
+ Revision: 254731
- update to new version 2.23.5

* Fri Jul 04 2008 Michael Scherer <misc@mandriva.org> 2.23.4-1mdv2009.0
+ Revision: 231790
- update to 2.23.4, remove old patch applied upstream

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Mar 28 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-2mdv2008.1
+ Revision: 190939
- Patch0: various fixes from SVN

* Tue Mar 11 2008 Michael Scherer <misc@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 186736
- new release

* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 177097
- new version
- fix url

* Sun Feb 17 2008 Michael Scherer <misc@mandriva.org> 2.21.91-1mdv2008.1
+ Revision: 169690
- fix version and use gnome.org ftp
- update to new version 2.21.91

  + Thierry Vignaud <tv@mandriva.org>
    - fix gstreamer0.10-devel BR for x86_64

* Sun Feb 03 2008 Funda Wang <fwang@mandriva.org> 2.21.90.1-1mdv2008.1
+ Revision: 161670
- New version 2.21.90.1

* Wed Jan 16 2008 Jérôme Soyer <saispo@mandriva.org> 2.21.5-1mdv2008.1
+ Revision: 153860
- New release

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 08 2007 Colin Guthrie <cguthrie@mandriva.org> 0.2.4-1mdv2008.1
+ Revision: 116384
- Fix BuildRequires
- New version 0.2.4

* Wed Oct 17 2007 Frederic Crozat <fcrozat@mandriva.com> 0.2.1-2mdv2008.1
+ Revision: 99606
- Fix BuildRequires
-Use new configure macro
- Patch0 : fix running under non-UTF8 locale

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-ended-with-dot

  + Michael Scherer <misc@mandriva.org>
    - new version 0.2.1

* Thu Aug 16 2007 Michael Scherer <misc@mandriva.org> 0.2.0-1mdv2008.0
+ Revision: 64125
- new version 0.2.0

* Fri Aug 03 2007 Michael Scherer <misc@mandriva.org> 0.1.4-1mdv2008.0
+ Revision: 58678
- Import cheese

